diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
index 8a202034..ebccde4e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
@@ -501,7 +501,8 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         ),
             data=result,
             conn=self.conn,
-            display_comments=True
+            display_comments=True,
+            if_exists=True
         )
 
         if not json_resp:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
index 0a341809..108c1e11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_all_options.sql
@@ -1,3 +1,3 @@
-CREATE EXTENSION IF NOT EXISTS sslinfo
+CREATE EXTENSION sslinfo
     SCHEMA test_extension_schema
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
index a936f441..97082266 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.4_plus/msql_create_extension_with_default_schema.sql
@@ -1,2 +1,2 @@
-CREATE EXTENSION IF NOT EXISTS citext
+CREATE EXTENSION citext
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
index 0a341809..108c1e11 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.5_plus/msql_create_extension_with_all_options.sql
@@ -1,3 +1,3 @@
-CREATE EXTENSION IF NOT EXISTS sslinfo
+CREATE EXTENSION sslinfo
     SCHEMA test_extension_schema
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
index d584542e..68217d76 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_all_options.sql
@@ -1,3 +1,3 @@
-CREATE EXTENSION IF NOT EXISTS sslinfo
+CREATE EXTENSION sslinfo
     SCHEMA test_extension_schema
     VERSION "1.2";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
index ed8cadf3..02c109f1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/9.6_plus/msql_create_extension_with_default_schema.sql
@@ -1,2 +1,2 @@
-CREATE EXTENSION IF NOT EXISTS adminpack
+CREATE EXTENSION adminpack
     VERSION "1.0";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py
index 321462d1..f49aa251 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py
@@ -773,7 +773,7 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
         old_data['seclabels'] = seclabels
         sql = render_template(
             "/".join([self.template_path, 'sqlpane.sql']),
-            data=old_data, conn=self.conn
+            data=old_data, conn=self.conn, if_replace=True
         )
 
         if not json_resp:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_comment_privileges.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_comment_privileges.sql
index acc99758..ea919102 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_comment_privileges.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_comment_privileges.sql
@@ -1,8 +1,8 @@
 -- Language: Lan2_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan2_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_revoke_privileges.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_revoke_privileges.sql
index fe707216..d162b2a5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_revoke_privileges.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_revoke_privileges.sql
@@ -1,8 +1,8 @@
 -- Language: Lan2_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan2_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_trusted_lan_name.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_trusted_lan_name.sql
index d9c28893..cbffc2c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_trusted_lan_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/alter_trusted_lan_name.sql
@@ -1,8 +1,8 @@
 -- Language: Lan2_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan2_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_trusted_language.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_trusted_language.sql
index 9b5ff05e..01b51217 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_trusted_language.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_trusted_language.sql
@@ -1,8 +1,8 @@
 -- Language: Lan1_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan1_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_untrusted_language.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_untrusted_language.sql
index b2890ba4..0e3f357f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_untrusted_language.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/pg/9.4_plus/create_untrusted_language.sql
@@ -1,8 +1,8 @@
 -- Language: Lan1_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan1_$%{}[]()&*^!@""'`\/#"
 
-CREATE PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_comment_privileges.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_comment_privileges.sql
index d10230a8..9fe749e8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_comment_privileges.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_comment_privileges.sql
@@ -1,8 +1,8 @@
 -- Language: Lan2_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan2_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_revoke_privileges.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_revoke_privileges.sql
index fe707216..d162b2a5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_revoke_privileges.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_revoke_privileges.sql
@@ -1,8 +1,8 @@
 -- Language: Lan2_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan2_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_trusted_lan_name.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_trusted_lan_name.sql
index d9c28893..cbffc2c8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_trusted_lan_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/alter_trusted_lan_name.sql
@@ -1,8 +1,8 @@
 -- Language: Lan2_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan2_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan2_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_trusted_language.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_trusted_language.sql
index 9b5ff05e..01b51217 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_trusted_language.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_trusted_language.sql
@@ -1,8 +1,8 @@
 -- Language: Lan1_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan1_$%{}[]()&*^!@""'`\/#"
 
-CREATE TRUSTED PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE TRUSTED PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_untrusted_language.sql b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_untrusted_language.sql
index b2890ba4..0e3f357f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_untrusted_language.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/ppas/9.4_plus/create_untrusted_language.sql
@@ -1,8 +1,8 @@
 -- Language: Lan1_$%{}[]()&*^!@"'`\/#
 
--- DROP LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+-- DROP LANGUAGE IF EXISTS "Lan1_$%{}[]()&*^!@""'`\/#"
 
-CREATE PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
+CREATE OR REPLACE PROCEDURAL LANGUAGE "Lan1_$%{}[]()&*^!@""'`\/#"
     HANDLER plpgsql_call_handler
     INLINE plpgsql_inline_handler
     VALIDATOR plpgsql_validator;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index 26d46528..27c2db04 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -864,7 +864,7 @@ It may have been removed by another user.
         SQL = render_template(
             "/".join([self.template_path,
                       self._SQL_PREFIX + self._CREATE_SQL]),
-            _=gettext, data=data, conn=self.conn
+            _=gettext, data=data, conn=self.conn, if_exists=True
         )
 
         sql_header = "-- SCHEMA: {0}\n\n-- ".format(data['name'])
@@ -1048,7 +1048,7 @@ It may have been removed by another user.
         SQL = render_template(
             "/".join([self.template_path,
                       self._SQL_PREFIX + self._CREATE_SQL]),
-            _=gettext, data=old_data, conn=self.conn
+            _=gettext, data=old_data, conn=self.conn, if_exists=True
         )
 
         sql_header = """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
index ca941cb5..66638c70 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/__init__.py
@@ -725,7 +725,9 @@ class CollationView(PGChildNodeView, SchemaDiffObjectCompare):
 
         SQL = render_template("/".join([self.template_path,
                                         self._CREATE_SQL]),
-                              data=data, conn=self.conn)
+                              data=data, conn=self.conn,
+                              if_exists=True
+                              )
 
         sql_header = "-- Collation: {0};\n\n-- ".format(data['name'])
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql
index 1b6b0c8f..f312becb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/alter_collation.sql
@@ -2,7 +2,7 @@
 
 -- DROP COLLATION IF EXISTS testschema."Cl1_$%{}[]()&*^!@""'`\/#a";
 
-CREATE COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#a"
+CREATE COLLATION IF NOT EXISTS testschema."Cl1_$%{}[]()&*^!@""'`\/#a"
     (LC_COLLATE = 'C', LC_CTYPE = 'C');
 
 ALTER COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#a"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql
index 8cd07121..66772054 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/tests/default/create_collation.sql
@@ -2,7 +2,7 @@
 
 -- DROP COLLATION IF EXISTS testschema."Cl1_$%{}[]()&*^!@""'`\/#";
 
-CREATE COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#"
+CREATE COLLATION IF NOT EXISTS testschema."Cl1_$%{}[]()&*^!@""'`\/#"
     (LC_COLLATE = 'C', LC_CTYPE = 'C');
 
 ALTER COLLATION testschema."Cl1_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index 1ee67f13..39f52931 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -901,7 +901,9 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
 
         SQL = render_template("/".join([self.template_path,
                                         self._CREATE_SQL]),
-                              data=data, is_sql=True)
+                              data=data, is_sql=True,
+                              if_exists=True
+                              )
 
         if not json_resp:
             return SQL.strip('\n')
@@ -1160,7 +1162,7 @@ class ForeignTableView(PGChildNodeView, DataTypeReader,
 
         return cols
 
-    def _fetch_properties(self, gid, sid, did, scid, foid, inherits=False):
+    def _fetch_properties(self, gid, sid, did, scid, foid, inherits=False, ):
         """
         Returns the Foreign Table properties which will be used in
         properties, sql and get_sql functions.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.2_plus/create_foreign_table_with_all_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.2_plus/create_foreign_table_with_all_options.sql
index 3ed0e662..1a09bfd5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.2_plus/create_foreign_table_with_all_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.2_plus/create_foreign_table_with_all_options.sql
@@ -2,7 +2,7 @@
 
 -- DROP FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#";
 
-CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL COLLATE pg_catalog."default"
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql
index de737918..13494a79 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/pg/9.6_plus/create_foreign_table_with_all_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql
index a532ed22..20409f9b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.2_plus/create_foreign_table_with_all_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/create_foreign_table_with_all_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/create_foreign_table_with_all_options_msql.sql
index f7c80113..dd1f2543 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/create_foreign_table_with_all_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/tests/ppas/9.6_plus/create_foreign_table_with_all_options_msql.sql
@@ -1,4 +1,4 @@
-CREATE FOREIGN TABLE IF NOT EXISTS public."FT1_$%{}[]()&*^!@""'`\/#"(
+CREATE FOREIGN TABLE public."FT1_$%{}[]()&*^!@""'`\/#"(
     col1 bigint NULL,
     col2 text NULL
 )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index 11becf07..36cf3d0d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -1099,7 +1099,9 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
                                              self._CREATE_SQL]),
                                    data=resp_data, query_type="create",
                                    func_def=name_with_default_args,
-                                   query_for="sql_panel")
+                                   query_for="sql_panel",
+                                   if_replace=True
+                                   )
 
         return func_def
 
@@ -1219,7 +1221,7 @@ class FunctionView(PGChildNodeView, DataTypeReader, SchemaDiffObjectCompare):
             object_type.upper(), resp_data['pronamespace'],
             resp_data['proname'],
             resp_data['proargtypenames'].lstrip('(').rstrip(')'))
-        sql_header += """-- DROP {0} {1}({2});\n\n""".format(
+        sql_header += """-- DROP {0} IF EXISTS {1}({2});\n\n""".format(
             object_type.upper(), self.qtIdent(
                 self.conn, resp_data['pronamespace'], resp_data['proname']),
             resp_data['proargtypenames'].lstrip('(').rstrip(')'))
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_acl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_acl.sql
index 17127b49..1efff0af 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_acl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_acl.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function2_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Function2_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Function2_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Function2_$%{}[]()&*^!@""'`\/#"(
 	)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_parameter.sql
index 54fc22de..fa0038a4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_add_parameter.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function3_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Function3_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Function3_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Function3_$%{}[]()&*^!@""'`\/#"(
 	)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_change_grantee_acl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_change_grantee_acl.sql
index 3e6120ff..7ed69fc9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_change_grantee_acl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_change_grantee_acl.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function2_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Function2_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Function2_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Function2_$%{}[]()&*^!@""'`\/#"(
 	)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_comment.sql
index ce622e6c..87306d16 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_comment.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function1_$%{}[]()&*^!@"'`\/#(character varying)
 
--- DROP FUNCTION public."Function1_$%{}[]()&*^!@""'`\/#"(character varying);
+-- DROP FUNCTION IF EXISTS public."Function1_$%{}[]()&*^!@""'`\/#"(character varying);
 
 CREATE OR REPLACE FUNCTION public."Function1_$%{}[]()&*^!@""'`\/#"(
 	param character varying DEFAULT '1'::character varying)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_acl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_acl.sql
index e8db8efb..12c8377c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_acl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_acl.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function2_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Function2_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Function2_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Function2_$%{}[]()&*^!@""'`\/#"(
 	)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_parameter.sql
index f7624d83..8e604ad5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_delete_parameter.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function3_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Function3_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Function3_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Function3_$%{}[]()&*^!@""'`\/#"(
 	)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_rename.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_rename.sql
index 7bdf81a3..8ed3f8cd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_rename.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_function_rename.sql
@@ -1,6 +1,6 @@
 -- FUNCTION: public.Function3_$%{}[]()&*^!@"'`\/#()
 
--- DROP FUNCTION public."Function3_$%{}[]()&*^!@""'`\/#"();
+-- DROP FUNCTION IF EXISTS public."Function3_$%{}[]()&*^!@""'`\/#"();
 
 CREATE OR REPLACE FUNCTION public."Function3_$%{}[]()&*^!@""'`\/#"(
 	)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql
index 94af3546..e3ba35f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_change_grantee_priv.sql
@@ -1,6 +1,6 @@
 -- PROCEDURE: public.Proc1_$%{}[]()&*^!@"'`\/#(integer)
 
--- DROP PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer);
+-- DROP PROCEDURE IF EXISTS public."Proc1_$%{}[]()&*^!@""'`\/#"(integer);
 
 CREATE OR REPLACE PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(
 	i1 integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql
index 86eae9ac..e29870f0 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_comment.sql
@@ -1,6 +1,6 @@
 -- PROCEDURE: public.Proc1_$%{}[]()&*^!@"'`\/#(integer)
 
--- DROP PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer);
+-- DROP PROCEDURE IF EXISTS public."Proc1_$%{}[]()&*^!@""'`\/#"(integer);
 
 CREATE OR REPLACE PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(
 	i1 integer)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql
index 4a8b0b17..d31596b1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/tests/pg/11_plus/alter_proc_param.sql
@@ -1,6 +1,6 @@
 -- PROCEDURE: public.Proc1_$%{}[]()&*^!@"'`\/#(integer)
 
--- DROP PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(integer);
+-- DROP PROCEDURE IF EXISTS public."Proc1_$%{}[]()&*^!@""'`\/#"(integer);
 
 CREATE OR REPLACE PROCEDURE public."Proc1_$%{}[]()&*^!@""'`\/#"(
 	i1 integer)
